PlayerCc::FiducialProxy Class Reference
Proxies

The `FiducialProxy` class is used to control fiducial devices. More...

`#include <playerc++.h>`

Inheritance diagram for PlayerCc::FiducialProxy:

## Public Member Functions

| FiducialProxy (PlayerClient *aPc, uint32_t aIndex=0)
| constructor
| ~FiducialProxy ()
| destructor
uint32_t | GetCount () const
| The number of beacons detected.
player_fiducial_item_t | GetFiducialItem (uint32_t aIndex) const
| Get detected beacon description.
player_pose3d_t | GetSensorPose () const
| The pose of the sensor.
player_bbox3d_t | GetSensorSize () const
| The size of the sensor.
player_bbox2d_t | GetFiducialSize () const
| The size of the most recently detected fiducial.
void | RequestGeometry ()
| Get the sensor's geometry configuration.
player_fiducial_item_t | operator[] (uint32_t aIndex) const
| FiducialProxy data access operator. More...
Public Member Functions inherited from PlayerCc::ClientProxy
bool | IsValid () const
| Returns true if we have received any data from the device.
bool | IsFresh () const
| Fresh is set to true on each new read. More...
void | NotFresh ()
| This states that the data in a client is currently not Fresh.
std::string | GetDriverName () const
| Returns the driver name. More...
double | GetDataTime () const
| Returns the received timestamp [s].
double | GetElapsedTime () const
| Returns the received timestamp [s].
PlayerClient * | GetPlayerClient () const
| Returns a pointer to the Player Client.
uint32_t | GetIndex () const
| Returns device index.
uint32_t | GetInterface () const
| Returns device interface.
std::string | GetInterfaceStr () const
| Returns device interface.
void | SetReplaceRule (bool aReplace, int aType=-1, int aSubtype=-1)
| Set a replace rule for this proxy on the server. More...
int | HasCapability (uint32_t aType, uint32_t aSubtype)
| Request capabilities of device. More...
int | GetBoolProp (char *aProperty, bool *aValue)
| Request a boolean property.
int | SetBoolProp (char *aProperty, bool aValue)
| Set a boolean property.
int | GetIntProp (char *aProperty, int32_t *aValue)
| Request an integer property.
int | SetIntProp (char *aProperty, int32_t aValue)
| Set an integer property.
int | GetDblProp (char *aProperty, double *aValue)
| Request a double property.
int | SetDblProp (char *aProperty, double aValue)
| Set a double property.
int | GetStrProp (char *aProperty, char **aValue)
| Request a string property.
int | SetStrProp (char *aProperty, char *aValue)
| Set a string property.
template<typename T >
connection_t | ConnectReadSignal (T aSubscriber)
| Connect a signal to this proxy For more information check out Signals & multithreading.
void | DisconnectReadSignal (connection_t aSubscriber)
| Disconnect a signal to this proxy.

## Private Member Functions

void | Subscribe (uint32_t aIndex)
void | Unsubscribe ()

## Private Attributes

playerc_fiducial_t * | mDevice

## Additional Inherited Members

Public Types inherited from PlayerCc::ClientProxy
typedef int | connection_t
typedef boost::mutex::scoped_lock | scoped_lock_t
typedef int | read_signal_t
Protected Member Functions inherited from PlayerCc::ClientProxy
| ClientProxy (PlayerClient *aPc, uint32_t aIndex)
template<typename T >
T | GetVar (const T &aV) const
template<typename T >
void | GetVarByRef (const T aBegin, const T aEnd, T aDest) const
Protected Attributes inherited from PlayerCc::ClientProxy
PlayerClient * | mPc
playerc_client_t * | mClient
playerc_device_t * | mInfo
bool | mFresh

## Detailed Description

The `FiducialProxy` class is used to control fiducial devices.

The latest set of detected beacons is stored in the `beacons` array.

## Member Function Documentation

player_fiducial_item_t PlayerCc::FiducialProxy::operator[] | ( | uint32_t | aIndex | ) | const

inline

FiducialProxy data access operator.

This operator provides an alternate way of access the actuator data. For example, given a `FiducialProxy` named `fp`, the following expressions are equivalent: `fp.GetFiducialItem`[0] and `fp`[0].

The documentation for this class was generated from the following file:

- playerc++.h

Last updated 12 September 2005 21:38:45